com.corticon.services.dataobject

## Interface ICcDataObjectManager

-     public interface ICcDataObjectManager

  Interface ICcDataObjectManager provides methods to allow a Service Call-out to create, read, update and delete entity instances in working memory. It also has methods to support logging and the manual posting of rule messages.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `INFO` `INFO` severity is used to post a message of an audit trail nature.
    `static java.lang.String` | `VIOLATION` `VIOLATION` severity is used to post a message indicating a constraint business rule has been violated.
    `static java.lang.String` | `WARNING` `WARNING` severity is used to post a message indicating a constraint business rule is close to being violated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICcDataObject` | `createEntity(java.lang.String astrEntityClassName)` Create a new Entity instance of the given class and add it to working memory of the rule engine
    `java.util.Set<ICcDataObject>` | `getAllEntities()` Get a set of all Entity instances currently held in the engine work memory
    `java.util.Set<ICcDataObject>` | `getEntitiesByName(java.lang.String astrEntityClassName)` Get a set of Entity instances of the given class currently held in the engine working memory
    `ICcDataObject` | `getEntityByUID(java.lang.String astrUID)` Get an Entity instance with the given internal unique identifier
    `java.util.Set<java.lang.String>` | `getEntityClassNames()` Get a set of all Entity class names, the instances of which are currently held in the engine working memory
    `void` | `logDebug(java.lang.String astrLogMessage, java.lang.Object aLogObject)` Log a message to the Corticon log mechanism at DEBUG log level
    `void` | `logInfo(java.lang.String astrLogMessage, java.lang.Object aLogObject)` Log a message to the Corticon log mechanism at INFO log level
    `void` | `logRuleTrace(java.lang.String astrLogMessage, java.lang.Object aLogObject)` Log a message to the Corticon log mechanism at RULETRACE log level
    `void` | `logViolation(java.lang.String astrLogMessage, java.lang.Object aLogObject)` Log a message to the Corticon log mechanism at VIOLATION log level
    `void` | `logWarning(java.lang.String astrLogMessage, java.lang.Object aLogObject)` Log a message to the Corticon log mechanism at WARNING log level
    `void` | `postMessage(java.lang.String astrSeverity, java.lang.String astrMsg, ICcDataObject aEntity)` Post the given message against the specified Entity instance
    `void` | `removeEntity(ICcDataObject aEntity)` Remove/delete the give Entity instance from the rule engine working memory

- - ### Field Detail

    - #### INFO

          static final java.lang.String INFO

      `INFO` severity is used to post a message of an audit trail nature.
      See Also:
        Constant Field Values

    - #### WARNING

          static final java.lang.String WARNING

      `WARNING` severity is used to post a message indicating a constraint business rule is close to being violated. The client should typically allow the current transaction to complete, but give the user the appropriate warning messages.
      See Also:
        Constant Field Values

    - #### VIOLATION

          static final java.lang.String VIOLATION

      `VIOLATION` severity is used to post a message indicating a constraint business rule has been violated. The client should typically roll back the current transaction if any such messages are posted.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEntityClassNames

          java.util.Set<java.lang.String> getEntityClassNames()

      Get a set of all Entity class names, the instances of which are currently held in the engine working memory
      Returns:
        A String Set of Entity class names

    - #### getAllEntities

          java.util.Set<ICcDataObject> getAllEntities()

      Get a set of all Entity instances currently held in the engine work memory
      Returns:
        A Set of ICcDataObject instances

    - #### getEntitiesByName

          java.util.Set<ICcDataObject> getEntitiesByName(java.lang.String astrEntityClassName)

      Get a set of Entity instances of the given class currently held in the engine working memory
      Parameters:
        `astrEntityClassName` - - the Entity class name
      Returns:
        A Set of ICcDataObject instances

    - #### getEntityByUID

          ICcDataObject getEntityByUID(java.lang.String astrUID)

      Get an Entity instance with the given internal unique identifier
      Parameters:
        `astrUID` - - the internal UID of the Entity instance
      Returns:
        An instance of ICcDataObject or null if an Entity instance with the given UID is not found

    - #### createEntity

          ICcDataObject createEntity(java.lang.String astrEntityClassName)

      Create a new Entity instance of the given class and add it to working memory of the rule engine
      Parameters:
        `astrEntityClassName` -
      Returns:
        A newly created instance of ICcDataObject

    - #### removeEntity

          void removeEntity(ICcDataObject aEntity)

      Remove/delete the give Entity instance from the rule engine working memory
      Parameters:
        `aEntity` -

    - #### postMessage

          void postMessage(java.lang.String astrSeverity,
                         java.lang.String astrMsg,
                         ICcDataObject aEntity)

      Post the given message against the specified Entity instance
      Parameters:
        `astrSeverity` - - one of the following values: - ICcDataObjectManager.INFO - ICcDataObjectManager.WARNING - ICcDataObjectManager.VIOLATION
        `astrMsg` - - the content of the message
        `aEntity` - - the Entity instance against which the message is to be posted

    - #### logDebug

          void logDebug(java.lang.String astrLogMessage,
                      java.lang.Object aLogObject)

      Log a message to the Corticon log mechanism at DEBUG log level
      Parameters:
        `astrLogMessage` - - The message to log
        `aLogObject` - - The object association with this log message

    - #### logInfo

          void logInfo(java.lang.String astrLogMessage,
                     java.lang.Object aLogObject)

      Log a message to the Corticon log mechanism at INFO log level
      Parameters:
        `astrLogMessage` - - The message to log
        `aLogObject` - - The object association with this log message

    - #### logRuleTrace

          void logRuleTrace(java.lang.String astrLogMessage,
                          java.lang.Object aLogObject)

      Log a message to the Corticon log mechanism at RULETRACE log level
      Parameters:
        `astrLogMessage` - - The message to log
        `aLogObject` - - The object association with this log message

    - #### logWarning

          void logWarning(java.lang.String astrLogMessage,
                        java.lang.Object aLogObject)

      Log a message to the Corticon log mechanism at WARNING log level
      Parameters:
        `astrLogMessage` - - The message to log
        `aLogObject` - - The object association with this log message

    - #### logViolation

          void logViolation(java.lang.String astrLogMessage,
                          java.lang.Object aLogObject)

      Log a message to the Corticon log mechanism at VIOLATION log level
      Parameters:
        `astrLogMessage` - - The message to log
        `aLogObject` - - The object association with this log message

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.